import request from '@/utils/request'

/**
 * 颜选美学小程序商城活动列表
 * @param {*} name,
 * @param {*} status,
 * @param {*} activityStatus,
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeProductActive(params) {
  return request({
    url: '/HeHe/product/active',
    method: 'get',
    params
  })
}
/**
 * 颜选美学小程序限时特价列表
 * @param {*} name,
 * @param {*} status 状态：1待上架，2已上架，3已下架,
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeDiscount(params) {
  return request({
    url: '/HeHe/discount/activity',
    method: 'get',
    params
  })
}
/**
 * 颜选美学小程序分享减免活动列表
 * @param {*} name,
 * @param {*} status 状态：1待上架，2已上架，3已下架,
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeReduction(params) {
  return request({
    url: '/HeHe/reduction/list',
    method: 'get',
    params
  })
}
/**
 * 颜选美学小程序首内部优惠
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeInsideDiscount(params) {
  return request({
    url: '/HeHe/inside/discount',
    method: 'get',
    params
  })
}
/**
 * 颜选美学小程序商品分类管理
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeProductBigType(params) {
  return request({
    url: '/HeHe/product/bigType',
    method: 'get',
    params
  })
}
/**
 * 颜选美学小程序商品管理列表
 * @param {*} productId 商品id,
 * @param {*} name 商品名称,
 * @param {*} shopName 供应商名称,
 * @param {*} validFlag 上架状态:1上架,2下架,
 * @param {*} includedTax 是否含税 0不含税，1含税,
 * @param {*} invoiceType 发票类型(基于是否含税基础) 1增值税专用发票，2增值税普通发票, 3不能开票,
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeProductList(params) {
  return request({
    url: '/HeHe/product/list',
    method: 'get',
    params
  })
}
/**
 * 颜选美学小程序拼团商品列表
 * @param {*} id 商品id,
 * @param {*} productName 商品名称,
 * @param {*} shopName 供应商名称,
 * @param {*} status 上架状态:1上架,0下架,
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeCollageProduct(params) {
  return request({
    url: '/HeHe/collage/product',
    method: 'get',
    params
  })
}
/**
 * 颜选美学小程序拼团记录列表
 * @param {*} id 商品id,
 * @param {*} productName 商品名称,
 * @param {*} shopName 供应商名称,
 * @param {*} status 拼团状态:1拼团中,2已拼团,
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeCollageRecord(params) {
  return request({
    url: '/HeHe/collage/record',
    method: 'get',
    params
  })
}
