import request from '@/utils/request'

/**
 * 颜选美学小程序商城首页导航
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeHomeTypeList(params) {
  return request({
    url: '/HeHe/homeType/list',
    method: 'get',
    params
  })
}
/**
 * 颜选美学小程序首页轮播图
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeHomeImage(params) {
  return request({
    url: '/HeHe/image/list',
    method: 'get',
    params
  })
}
/**
 * 颜选美学小程序首页楼层
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeProductFloor(params) {
  return request({
    url: '/HeHe/product/floor',
    method: 'get',
    params
  })
}
/**
 * 颜选美学小程序商品分类管理
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeProductBigType(params) {
  return request({
    url: '/HeHe/product/bigType',
    method: 'get',
    params
  })
}
/**
 * 颜选美学小程序商品管理列表
 * @param {*} productId 商品id,
 * @param {*} name 商品名称,
 * @param {*} shopName 供应商名称,
 * @param {*} validFlag 上架状态:1上架,2下架,
 * @param {*} includedTax 是否含税 0不含税，1含税,
 * @param {*} invoiceType 发票类型(基于是否含税基础) 1增值税专用发票，2增值税普通发票, 3不能开票,
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeProductList(params) {
  return request({
    url: '/HeHe/product/list',
    method: 'get',
    params
  })
}
