import request from '@/utils/request'

/**
 * 颜选美学小程序用户列表
 * @param {*} mobile 手机号
 * @param {*} nickName 姓名
 * @param {*} userIdentity 用户身份
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeUserList(params) {
  return request({
    url: '/HeHe/user/list',
    method: 'get',
    params
  })
}
/**
 * 颜选美学小程序分销者列表
 * @param {*} mobile 手机号
 * @param {*} name 姓名
 * @param {*} pageNum,
 * @param {*} pageSize
 * @returns
 */
export function getHeHeSalesList(params) {
  return request({
    url: '/HeHe/sales/list',
    method: 'get',
    params
  })
}
/**
 * 添加分销者
 * @param {*} mobile 手机号
 * @param {*} name 姓名
 * @returns
 */
export function saveSales(data) {
  return request({
    url: '/HeHe/save/sales',
    method: 'post',
    data: data
  })
}
/**
 * 分销者活动商品列表
 * @param {*} userId 分销者ID
 * @param {*} name 商品名称
 * @param {*} shopName 供应商名称
 * @param {*} pageNum 页数
 * @param {*} pageSize 条数
 * @returns
 */
export function getSalesProducts(params) {
  return request({
    url: '/HeHe/sales/products',
    method: 'get',
    params
  })
}
/**
 * 分销者活动商品弹窗列表
 * @param {*} productId 商品ID
 * @param {*} name 商品名称
 * @param {*} shopName 供应商名称
 * @param {*} pageNum 页数
 * @param {*} pageSize 条数
 * @returns
 */
export function getSalesActivityProducts(params) {
  return request({
    url: '/HeHe/sales/activity/products',
    method: 'get',
    params
  })
}
/**
 * 添加分销者
 * @param {*} userId 分销者ID
 * @param {*} productIds 商品ID
 * @returns
 */
export function saveSalesProducts(data) {
  return request({
    url: '/HeHe/add/sales/products',
    method: 'post',
    data: data
  })
}
