/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const strictRouter = {
  path: '/stricts',
  component: Layout,
  redirect: '/stricts/list',
  alwaysShow: true, // will always show the root menu
  name: 'StrictsSitting', // name必须和后台配置一致，不然匹配不到
  meta: { title: '颜选美学', icon: 'user' },
  children: [
    {
      path: 'applet',
      name: 'AppletMenu',
      redirect: '/stricts',
      component: () => import('@/views/index'),
      meta: { title: '商城配置' },
      children: [
        {
          path: 'menus-list',
          name: 'MenusList',
          component: () => import('@/views/stricts/menus/list'),
          meta: { title: '首页导航' }
        },
        {
          path: 'banners-list',
          name: 'BannersList',
          component: () => import('@/views/stricts/banners/list'),
          meta: { title: '轮播图片' }
        },
        {
          path: 'floors-list',
          name: 'FloorsList',
          component: () => import('@/views/stricts/floors/list'),
          meta: { title: '首页楼层' }
        },
        {
          path: 'products-list',
          name: 'ProductsList',
          component: () => import('@/views/stricts/products/list'),
          meta: { title: '商品管理' }
        },
        {
          path: 'categorys-list',
          name: 'CategorysList',
          component: () => import('@/views/stricts/categorys/list'),
          meta: { title: '分类管理' }
        }
      ]
    },
    {
      path: 'user',
      name: 'StrictsUserMenu',
      redirect: '/stricts',
      component: () => import('@/views/index'),
      meta: { title: '用户管理' },
      children: [
        {
          path: 'list',
          name: 'UsersList',
          component: () => import('@/views/stricts/users/list'),
          meta: { title: '用户列表' }
        },
        {
          path: 'retails-list',
          name: 'RetailsList',
          component: () => import('@/views/stricts/retails/list'),
          meta: { title: '分销列表' }
        },
        {
          path: 'retails-goods-list',
          name: 'RetailsGoodsList',
          component: () => import('@/views/stricts/retails/retails-goods-list'),
          meta: { title: '分销者商品列表' },
          hidden: true
        }
      ]
    },
    {
      path: 'activitys',
      name: 'ActivitysMenu',
      redirect: '/stricts',
      component: () => import('@/views/index'),
      meta: { title: '商城活动' },
      children: [
        {
          path: 'list',
          name: 'ActivitysList',
          component: () => import('@/views/stricts/activitys/list'),
          meta: { title: '活动列表' }
        },
        {
          path: 'specials-list',
          name: 'ActivitysSpecialsList',
          component: () => import('@/views/stricts/activitys/specials'),
          meta: { title: '限时特价' }
        },
        {
          path: 'shares-list',
          name: 'ActivitysSharesList',
          component: () => import('@/views/stricts/activitys/shares'),
          meta: { title: '分享减免' }
        }
      ]
    },
    {
      path: 'internal-list',
      name: 'InternalList',
      component: () => import('@/views/stricts/activitys/internal-list'),
      meta: { title: '内部优惠', icon: 'international', activeMenu: '/stricts/list' }
    },
    {
      path: 'groups',
      name: 'GroupsMenu',
      redirect: '/stricts',
      component: () => import('@/views/index'),
      meta: { title: '商品拼团' },
      children: [
        {
          path: 'list',
          name: 'GroupsList',
          component: () => import('@/views/stricts/groups/list'),
          meta: { title: '拼团列表' }
        },
        {
          path: 'groups-goods-list',
          name: 'GroupsGoodsList',
          component: () => import('@/views/stricts/groups/groups-goods-list'),
          meta: { title: '商品列表' }
        }
      ]
    },
    {
      path: 'order',
      name: 'OrderMenu',
      redirect: '/stricts',
      component: () => import('@/views/index'),
      meta: { title: '订单管理' },
      children: [
        {
          path: 'list',
          name: 'OrderList',
          component: () => import('@/views/stricts/order/list'),
          meta: { title: '拼团列表' }
        },
        {
          path: 'refund-list',
          name: 'RefundList',
          component: () => import('@/views/stricts/order/refund-list'),
          meta: { title: '退款管理' }
        }
      ]
    }
  ]
}
export default strictRouter
